Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.testing.unit
Class ResultExpresserText

    java.lang.Object
      things.testing.unit.ResultExpresser
          things.testing.unit.ResultExpresserText

    public class ResultExpresserText

extends ResultExpresser

An implementation for expressing test results. It will express them as text to a provided StringPoster. Note that all colons in the message or name will be replaced with an underscore to ensure the colon is a field separator.

This expresser does not support more than 99 levels.

Version:
  1.0

  Version History

      EPG - Initial - 19 JUN 04

Author:
  Erich P. Gatejen

Nested Class Summary

Nested classes/interfaces inherited from class things.testing.unit.ResultExpresser
`ResultExpresser.expressionType`

Constructor Summary
`ResultExpresserText()`

Method Summary
`void` | `express(java.lang.String date, ResultExpresser.expressionType type, Result theResult, int index, java.lang.String name, java.lang.String message, int numberPass, int numberFail, int numberInconclusive, int numberException, int numberAbort, long time, long size, java.lang.String code, java.util.List<NV> values)` Submit a full expression.
`void` | `init(StringPoster posterIn)`

Methods inherited from class things.testing.unit.ResultExpresser
`expressCase, expressCaseSimple`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultExpresserText

    public ResultExpresserText()

Method Detail

### init

    public void init(StringPoster posterIn)

### express

    public void express(java.lang.String date,
                        ResultExpresser.expressionType type,
                        Result theResult,
                        int index,
                        java.lang.String name,
                        java.lang.String message,
                        int numberPass,
                        int numberFail,
                        int numberInconclusive,
                        int numberException,
                        int numberAbort,
                        long time,
                        long size,
                        java.lang.String code,
                        java.util.List<NV> values)
                 throws ThingsException

  Submit a full expression.

  Specified by:
    `express` in class `ResultExpresser`
  Parameters:
    `date` - Date in string format.
    `type` - The type as an expresisonType
    `theResult` - The result as Result
    `index` - The index ply of this result (useful for nesting groups).
    `name` - The name of test.
    `message` - The message from the result.
    `numberPass` - Number of passes (as a roll-up if a group).
    `numberFail` - Number of fails (as a roll-up if a group).
    `numberInconclusive` - Number of inconclusive (as a roll-up if a group).
    `numberException` - Number of exception (as a roll-up if a group).
    `numberAbort` - Number of abort (as a roll-up if a group).
    `time` - Time in miliseconds to run. Negative number means no result.
    `size` - Size of the resulting data. Negative number means no reault.
    `code` - Error or success code from the operation (as a String). null means no code.
    `values` - A list of name/value pairs.
  Throws:
    `ThingsException`
  See Also:
    `Result`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.